# -*- rpm-spec -*-
# $Id: tcl-dom,v 1.5 2004/11/09 11:14:02 me Exp $

%define teaname Tcldom
%define uver %nil

Name: tcl-dom
Version: 3.0
Release: alt3

Summary: A DOM bindings for Tcl
License: BSD
Group: Development/Tcl
URL: http://tclxml.sourceforge.net/

%ifdef snapshot
Source: %name-%snapshot.tar.bz2
%else
Source: tcldom-%version%uver.tar.bz2
%endif

Patch0: tcldom-3.0-tea3.patch
Patch1: tcldom-3.0-configure.patch
Patch2: tcldom-3.0-pkgindex.patch
Patch3: tcldom-3.0-doctype.patch

BuildRequires: autoconf_2.13 libxml2-devel rpm-build >= 4.0.4-alt41 tcl-devel >= 8.4.0-alt1 tcl-xml-devel = %version

%package core
Summary: A front-end interface and generic DOM implementation for Tcl
Group: Development/Tcl

%package libxml2
Summary: A libxml2-based DOM implementation for Tcl
Group: Development/Tcl
Requires: %name-core = %version-%release

%package devel
Summary: Header files for %name
Group: Development/Tcl
Requires: %name-core = %version-%release

%description
This package provides a DOM binding for Tcl.  It provides one of the
following implementations:
* A Tcl-only implementation
* A C-based implementation based on TclDOMPro
* A wrapper for the Gnome libxml2 library

%description core
This package provides a generic front-end interface and
generic Tcl DOM implementation.

%description libxml2
This package provides a libxml2-based DOM implementation.

%description devel
This package includes header files for %name

%prep
%setup -q %{?snapshot:-c}%{!?snapshot:-n tcldom-%version%uver}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%set_autoconf_version 2.13
%__autoconf
%configure
(cd src-libxml2
%configure
%__make
)

%install 
%makeinstall
%makeinstall -C src-libxml2

%files core
%doc ChangeLog README RELNOTES LICENSE docs/tcldom.html
%_tcldatadir/%teaname%version

%files libxml2
%_tcllibdir/libtcldom_libxml2%version.so
%_tcldatadir/tcldom_libxml2%version

%files devel
%_libdir/tcldom-libxml2Config.sh
%_tcllibdir/libtcldom_libxml2stub%version.a
%_includedir/*

%changelog
* Tue Nov  9 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 3.0-alt3
- fixed #5469

* Wed Nov  3 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 3.0-alt2
- rebuilt against new shiny tcl reqprov finder

* Tue Sep 21 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 3.0-alt1
- 3.0 released

* Thu May 13 2004 Sergey Bolshakov <sbolshakov@altlinux.ru>  3.0-alt0.2
- devel subpackage added

* Wed May 12 2004 Sergey Bolshakov <sbolshakov@altlinux.ru>  3.0-alt0.1
- Initial build for %distribution


